﻿using System.Collections.Generic;
using System.ComponentModel;

namespace ChartTest
{
    public class ChartViewModel : INotifyPropertyChanged
    {
        private IEnumerable<ChartDataItem> _dataCollection;

        public ChartViewModel()
        {
        }

        public IEnumerable<ChartDataItem> DataCollection
        {
            get { return _dataCollection; }
            set
            {
                _dataCollection = value;
                OnPropertyChanged("DataCollection");
            }
        }

        protected void OnPropertyChanged(PropertyChangedEventArgs e)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
                handler(this, e);
        }

        protected void OnPropertyChanged(string propertyName)
        {
            OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }

    public class ChartDataItem
    {
        public string Label { get; set; }

        public double Value { get; set; }

        public string ToolTip { get; set; }
    }
}
