﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;

namespace ChartTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            LoadCharts();
        }

        private void LoadCharts()
        {
            dataChart.DataContext = GetModel(10);
        }

        private ChartViewModel GetModel(int max)
        {
            List<ChartDataItem> dataItems = new List<ChartDataItem>();
            for (int index = 1; index <= max; index++)
            {
                dataItems.Add(new ChartDataItem() { Label = "Item " + index, Value = (double)index, ToolTip = "Item " + index });
            }

            ChartViewModel model = new ChartViewModel() { DataCollection = dataItems };
            return model;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int max = 10;
            Int32.TryParse(maxText.Text, out max);

            ChartViewModel model = GetModel(max);

            DateTime startTime = DateTime.Now;
            dataChart.DataContext = model;
            DateTime endTime = DateTime.Now;

            timeTakenText.Text = "Time taken: " + (endTime - startTime);

            // This will zoom in the view a by a bit in order to compensate for the added data.
            Rect windowRect = dataChart.WindowRect;
            windowRect.Width = 0.25;
            dataChart.WindowRect = windowRect;
        }
    }
}
